##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################
#----------------------------------------------------------------------------------
#  
#       Name: disableLDAPCaches.py
# 
#	This script disables LDAP caches
#
#       Parameters:
#               N/A
#	Return values:
#		0 - Successfully executed
#		1 - Fail to execute
#		2 - Not valid arguments
#----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
# 	Usage
#----------------------------------------------------------------------------------
def printUsage():
    print "Usage:  <was_profile_dir>/bin/wsadmin -lang jython -f disableLDAPCaches.py"
    
#----------------------------------------------------------------------------------
# 	disable LDAP caches according to Cloudburst configurations guide
#----------------------------------------------------------------------------------
def disableLDAPCaches():
	AdminTask.setIdMgrLDAPAttrCache('[-id ISMITDS -enabled false -cacheTimeOut 0]')
	AdminTask.setIdMgrLDAPSearchResultCache('[-id ISMITDS -enabled false -cacheTimeOut 0]')

	AdminConfig.save()
	
#----------------------------------------------------------------------------------	
# 	main
#----------------------------------------------------------------------------------

disableLDAPCaches()
sys.stdout.write('LDAP caches disabled\n')
