##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################
#----------------------------------------------------------------------------------
#  
#       Name: establishTrustRelationshipForTSAM.py
#
#	This script starts an application
#
#       Parameters:
#               cellName         - default: ctgCell01
#               nodeName         - default: ctgNode01
#               serverName       - default: MXServer
#	Return values:
#		0 - Successfully executed
#		1 - Fail to execute
#		2 - Not valid arguments
#----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
# 	Usage
#----------------------------------------------------------------------------------
def printUsage():
    print "Usage:  <was_profile_dir>/bin/wsadmin -lang jython -f establishTrustRelationshipForTSAM.py [cellName] [nodeName] [serverName]"
    print "		[cellName]			is the name of cell in which the application runs"
    print "		[nodeName]			is the name of node in which the application runs"
    

#----------------------------------------------------------------------------------
# 	establishTrustRelationshipForTSAM
#----------------------------------------------------------------------------------
def establishTrustRelationshipForTSAM(cellName,nodeName):

	try:
		AdminTask.extractCertificate('[-keyStoreName TpmKeyStore -keyStoreScope (cell):'+cellName+':(node):'+nodeName+' -certificateFilePath /tmp/tpmuicert -certificateAlias tpmuicert ]') 

		AdminTask.addSignerCertificate('[-keyStoreName CellDefaultTrustStore -keyStoreScope (cell):'+cellName+' -certificateFilePath /tmp/tpmuicert -certificateAlias tpmuicert-alias ]') 		
	except:
		print sys.exc_info()[1]
	
	AdminConfig.save()	
	
#----------------------------------------------------------------------------------	
# 	main
#----------------------------------------------------------------------------------
if (len(sys.argv) == 2):

	cellName = sys.argv[0]
	nodeName = sys.argv[1]
	
	establishTrustRelationshipForTSAM(cellName,nodeName)	
else:
	sys.stderr.write('No valid number of arguments\n')
	printUsage()
	sys.exit(2)
