##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################
#----------------------------------------------------------------------------------
#
#       Name: generateIHSPlugin.py
#
#	This script generates and propagates the IHS plugin for '+serverName+'
#
#       Parameters:
#               N/A
#	Return values:
#		0 - Successfully executed
#		1 - Fail to execute
#		2 - Not valid arguments
#----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
# 	Usage
#----------------------------------------------------------------------------------
def printUsage():
    print "Usage:  <was_profile_dir>/bin/wsadmin -lang jython -f generateIHSPlugin.py [wasInstallDir] [cellName] [nodeName] [serverName]"
    print "             [wasInstallDir]                 is the name of the directory where WebSphere is installed"
    print "             [dmgrProfileName]               is the name of the deployment manager profile"
    print "             [dmgrCellManager]               is the name of the deployment manager cell manager"
    print "		[cellName]			is the name of cell in which the application should be installed"
    print "		[nodeName]			is the name of node in which the application should be installed"
    print "		[serverName]		is the name of server on which the application should be installed"
    
#----------------------------------------------------------------------------------
# 	generates and propagates the IHS plugin for '+serverName+'
#----------------------------------------------------------------------------------
def generateIHSPlugin(wasInstallDir, dmgrProfileName, dmgrCellManager, cellName, nodeName, serverName):

	AdminControl.invoke('WebSphere:name=PluginCfgGenerator,process=dmgr,platform=common,node='+dmgrCellManager+',version=6.1.0.29,type=PluginCfgGenerator,mbeanIdentifier=PluginCfgGenerator,cell='+cellName+',spec=1.0', 'generate', '['+wasInstallDir+'/profiles/'+dmgrProfileName+'/config '+cellName+' '+nodeName+' '+serverName+' false]', '[java.lang.String java.lang.String java.lang.String java.lang.String java.lang.Boolean]') 
	
	AdminControl.invoke('WebSphere:name=PluginCfgGenerator,process=dmgr,platform=common,node='+dmgrCellManager+',version=6.1.0.29,type=PluginCfgGenerator,mbeanIdentifier=PluginCfgGenerator,cell='+cellName+',spec=1.0', 'propagate', '['+wasInstallDir+'/profiles/'+dmgrProfileName+'/config '+cellName+' '+nodeName+' '+serverName+']', '[java.lang.String java.lang.String java.lang.String java.lang.String]') 
	
#----------------------------------------------------------------------------------	
# 	main
#----------------------------------------------------------------------------------

if (len(sys.argv) == 6):

	wasInstallDir = sys.argv[0]
	dmgrProfileName = sys.argv[1]
	dmgrCellManager = sys.argv[2]
	cellName = sys.argv[3]
	nodeName = sys.argv[4]
	serverName = sys.argv[5]
	generateIHSPlugin(wasInstallDir, dmgrProfileName, dmgrCellManager, cellName, nodeName, serverName)
	sys.stdout.write('IHS plugin generated and propagated\n')
else:
	sys.stderr.write('No valid number of arguments\n')
	printUsage()
	sys.exit(2)

