##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################
#----------------------------------------------------------------------------------
#
#       Name: syncNode.py
#
#	This script sychronizes a node
#
#       Parameters:
#               cellName         - default: ctgCell01
#               nodeName         - default: ctgNode01
#	Return values:
#		0 - Successfully executed
#		1 - Fail to execute
#		2 - Not valid arguments
#----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
# 	Usage
#----------------------------------------------------------------------------------
def printUsage():
    print "Usage:  <was_profile_dir>/bin/wsadmin -lang jython -f syncNode.py [cellName] [nodeName]"
    print "		[cellName]			is the name of cell"
    print "		[nodeName]			is the name of node"
    
#----------------------------------------------------------------------------------
# 	sychronizes a node
#		cellName - name of cell containing the node
#		node Name - the node name
#----------------------------------------------------------------------------------
def syncNode(cellName,nodeName):
	sync1 = AdminControl.completeObjectName('type=NodeSync,cell='+cellName+',node='+nodeName+',*')
	
	result = AdminControl.invoke(sync1, 'sync')	
	
	return result
	
#----------------------------------------------------------------------------------	
# 	main
#----------------------------------------------------------------------------------
if (len(sys.argv) == 2):

	cellName = sys.argv[0]
	nodeName = sys.argv[1]

	result = syncNode(cellName,nodeName)
	
	if (result == 'true'):
		sys.stdout.write('Node synchronizing successfully executed\n')
		sys.exit(0)
	else: 
		sys.stderr.write('Node synchronizing failed\n')
		sys.exit(1)
else:
	sys.stderr.write('No valid number of arguments\n')
	printUsage()
	sys.exit(2)
