#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

# 
# Name: changeApplClassLoaderOrderToPARENT.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Logs into Websphere trought the ws_admin script and alls the 
# jython script set in the variable
# $CHANGE_WAR_CL_ORDER_TO_PARENT_JYTHON.
# Variables are set trought the script setupEnv.sh
# The called script changes the class loader setting of the
# MAXIMO.ear file, which was reset during the SRM installation,
# to load the parent class loader first.
# If you want to change this setting using WebSphere Console, do this:
# a. Log on to the WebSphere Application Server administrative console
#    at the following URL: https://<management_server_hostname>:9043/admin.
# b. From the navigation tree select Applications --> Enterprise Applications
# c. Select MAXIMO --> Class loading and update detection
# d. Set "Classes loaded with parent class loader first".

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "$WS_ADMIN_SCRIPT -user $WASADMIN -password ******** -lang jython -f $CHANGE_WAR_CL_ORDER_TO_PARENT_JYTHON MAXIMO"
$WS_ADMIN_SCRIPT -user $WASADMIN -password $WASADMIN_PW -lang jython -f "$CHANGE_WAR_CL_ORDER_TO_PARENT_JYTHON" MAXIMO
