#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: createCloudManagementSubsystemDB.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Executes the DB2 SQL files stored in the /etc/cloud/install/DB directory.
# These files are written by the script installConfigFiles.sh which is 
# called by the launchpad. Important is, that these files are using the
# character '@' as delimiter.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

su - $DB2ADMIN -c "db2 db2start"
su - $DB2ADMIN -c "cat /etc/cloud/install/DB/clouddb.sql | sed \"s/CONNECT TO $DB2MAXIMODBNAME/CONNECT TO $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW/\" | db2 -td@ -v"
su - $DB2ADMIN -c "cat /etc/cloud/install/DB/initdata.sql | sed \"s/CONNECT TO $DB2MAXIMODBNAME/CONNECT TO $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW/\" | db2 -td@ -v"
