#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: createGlobalVariableTIO_HOME.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Logs into Websphere trought the ws_admin script and alls the 
# jython script set in the variable
# $WAS_GLOBAL_VARIABLE_JYTHON.
# Variables are set trought the script setupEnv.sh
# The called script creates a global WebSphere Application Server
# variable named TIO_HOME with the value of the Tivoli
# Provisioning Manager installation directory.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "$WS_ADMIN_SCRIPT -user $WASADMIN -password ******** -lang jython -f $WAS_GLOBAL_VARIABLE_JYTHON create TIO_HOME $TIO_HOME $WAS_CELL_NAME $WAS_NODE_NAME $WAS_MXSERVER_NAME"
$WS_ADMIN_SCRIPT -user $WASADMIN -password $WASADMIN_PW -lang jython -f "$WAS_GLOBAL_VARIABLE_JYTHON" create TIO_HOME $TIO_HOME $WAS_CELL_NAME $WAS_NODE_NAME $WAS_MXSERVER_NAME
