#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: createTimerManager.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Logs into Websphere trought the ws_admin script and alls the 
# jython script set in the variable
# $TIMER_MANAGER_JYTHON.
# Variables are set trought the script setupEnv.sh
# The script called creates a new Timer Manager with an own
# JNDI name "tm/bcTimerManager" which is necessary for
# CloudBurst.
# 

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "$WS_ADMIN_SCRIPT -user $WASADMIN -password ******** -lang jython -f $TIMER_MANAGER_JYTHON create $WAS_CELL_NAME $WAS_NODE_NAME $WAS_MXSERVER_NAME"
$WS_ADMIN_SCRIPT -user $WASADMIN -password $WASADMIN_PW -lang jython -f "$TIMER_MANAGER_JYTHON" create $WAS_CELL_NAME $WAS_NODE_NAME $WAS_MXSERVER_NAME
