#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: establishTrustRelationshipForTSAM.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Logs into Websphere trought the ws_admin script and alls the 
# jython script set in the variable
# $ESTABLISH_TRUST_RELATION_SHIP_JYTHON.
# Variables are set trought the script setupEnv.sh
# Establishes a trust relationship within WebSphere Application Server.
# Needed to establish HTTPS connections between Tivoli Service
# Automation Manager and the local SSL port. Adds a certificate
# to the trust certificate store of WebSphere Application Server.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "$WS_ADMIN_SCRIPT -user $WASADMIN -password ******** -lang jython -f $ESTABLISH_TRUST_RELATION_SHIP_JYTHON $WAS_CELL_NAME $WAS_NODE_NAME"
$WS_ADMIN_SCRIPT -user $WASADMIN -password $WASADMIN_PW -lang jython -f "$ESTABLISH_TRUST_RELATION_SHIP_JYTHON" $WAS_CELL_NAME $WAS_NODE_NAME
