#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: generateIHSPlugin.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Recreates the HTTP Server plugin for WebSphere
# Application Server.
 
workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "chmod 777 $IHS_WEBSERVER1_PLUGIN_CFG_XML"
chmod 777 "$IHS_WEBSERVER1_PLUGIN_CFG_XML"

WAS_HOME=$(su - $WASRXUSER -c ". \$TIO_HOME/tools/setupCmdLine.sh; env" | grep "^WAS_HOME" | cut -d '=' -f 2)
DMGR_PROFILE=$(su - $WASRXUSER -c ". \$TIO_HOME/tools/setupCmdLine.sh; env" | grep "^DMGR_PROFILE" | cut -d '=' -f 2)

echo "$WS_ADMIN_SCRIPT -user $WASADMIN -password ******** -lang jython -f $GENERATE_IHS_PLUGIN_JYTHON" $WAS_HOME $DMGR_PROFILE $WAS_CELLMANAGER_NAME $WAS_CELL_NAME $WAS_NODE_NAME $WAS_WEBSERVER_NAME
$WS_ADMIN_SCRIPT -user $WASADMIN -password $WASADMIN_PW -lang jython -f "$GENERATE_IHS_PLUGIN_JYTHON" "$WAS_HOME" $DMGR_PROFILE $WAS_CELLMANAGER_NAME $WAS_CELL_NAME $WAS_NODE_NAME $WAS_WEBSERVER_NAME

echo "chmod 644 $IHS_WEBSERVER1_PLUGIN_CFG_XML"
chmod 664 "$IHS_WEBSERVER1_PLUGIN_CFG_XML"

if [ "$IHS_WEBSERVER1_DIR" = "" ]; then
	echo "The IHS_WEBSERVER1_DIR variable has not been set correctly."
else
	echo "chown tioadmin.tioadmin $IHS_WEBSERVER1_DIR"
	chown tioadmin.tioadmin "$IHS_WEBSERVER1_DIR"
fi

