#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: insert_tioCredentials.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Updates the DCM object and replaces the tags
# server, username and password with their
# coresponding values.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

FILENAME=/tmp/tmp_$(date +"%s")

sed -e "s/server/$TPM_PROV_SERVERNAME/" -e "s/username/$SSH_USER_NAME/" -e "s/password/$SSH_PASS_PHRASE/" -e "s:tiohome:$TIO_HOME:" <"$INSERT_TIO_CREDENTIALS_DCM" >"$FILENAME"

chmod 600 "$FILENAME"
chown $WASRXUSER.$WASRXUSER "$FILENAME"

echo "su - $WASRXUSER -c \"$TIO_HOME/tools/dcmQueryCommand.sh $INSERT_TIO_CREDENTIALS_DCM\""
su - $WASRXUSER -c "$TIO_HOME/tools/dcmQueryCommand.sh $FILENAME"

rm -fr "$FILENAME"
