#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: setEndPointConfig.sh
#
# This script is called by "configureMaxProperties.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Updates the endpoint configuration in the database.
# If the property is a password, encrypt the value
# and then store it to the database.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

ENDPOINTNAME=$1
PROPERTY=$2
VALUE=$3
COLUMN="VALUE"

if [[ "$PROPERTY" == "PASSWORD" ]]
then
	COLUMN="PASSWORD"
	VALUE=`"$JAVA_HOME"/bin/java -cp "$MAXIMOEAR/businessobjects.jar:$MAXIMOEAR/lib/db2jcc.jar:$TSAM_CONFIG_HOME/Java:." com.ibm.zhybrid.install.MaximoPropertyEncryptor "$DB2_SERVER" "$DB2_PORT" "$DB2MAXIMOUSER" "$DB2MAXIMOPW" "$DB2MAXIMOSCHEMANAME" "$DB2MAXIMODBNAME" "$VALUE"`
	echo su - $DB2ADMIN -c "db2 \"connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using ********\"; db2 \"update $DB2MAXIMOSCHEMANAME.MAXENDPOINTDTL set $COLUMN='********' WHERE ENDPOINTNAME='$ENDPOINTNAME' AND PROPERTY='$PROPERTY'\""
	su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
update $DB2MAXIMOSCHEMANAME.MAXENDPOINTDTL set $COLUMN=$VALUE WHERE ENDPOINTNAME='$ENDPOINTNAME' AND PROPERTY='$PROPERTY'
EOF
"

else
	echo su - $DB2ADMIN -c "db2 \"connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using ********\"; db2 \"update $DB2MAXIMOSCHEMANAME.MAXENDPOINTDTL set $COLUMN='$VALUE' WHERE ENDPOINTNAME='$ENDPOINTNAME' AND PROPERTY='$PROPERTY'\""
	su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
update $DB2MAXIMOSCHEMANAME.MAXENDPOINTDTL set $COLUMN='$VALUE' WHERE ENDPOINTNAME='$ENDPOINTNAME' AND PROPERTY='$PROPERTY'
EOF
"
fi


