#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: setMaximoProperty.sh
#
# This script is called by "configureMaxProperties.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Updates Maximo System Properties in the database.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

function existsEntry
{
	CHECKPROPNAME=$1
	su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
select * from $DB2MAXIMOSCHEMANAME.maxpropvalue where PROPNAME='$CHECKPROPNAME'
EOF
" 1>/dev/null 2> /dev/null

	return $?
}

PROPNAME=$1
PROPVALUE=$2
OPTPARAM=$3
#insert into maxpropvalue values ((select max(maxpropvalueid)+1 from maxpropvalue), 'TEST.Eintrag', 'COMMON', null, 'eintrag', null, 'MAXADMIN', CURRENT TIMESTAMP, 0)
if [[ "$OPTPARAM" == "PASSWORD" ]]
then
	VALUE=`"$JAVA_HOME"/bin/java -cp "$MAXIMOEAR/businessobjects.jar:$MAXIMOEAR/lib/db2jcc.jar:$TSAM_CONFIG_HOME/Java:." com.ibm.zhybrid.install.MaximoPropertyEncryptor "$DB2_SERVER" "$DB2_PORT" "$DB2MAXIMOUSER" "$DB2MAXIMOPW" "$DB2MAXIMOSCHEMANAME" "$DB2MAXIMODBNAME" "$PROPVALUE"`
	if existsEntry $PROPNAME
	then
		echo "update $DB2MAXIMOSCHEMANAME.maxpropvalue set ENCRYPTEDVALUE=$VALUE where PROPNAME='********'"
	su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
update $DB2MAXIMOSCHEMANAME.maxpropvalue set ENCRYPTEDVALUE=$VALUE where PROPNAME='$PROPNAME'
EOF
"
	else
		echo "insert into $DB2MAXIMOSCHEMANAME.maxpropvalue values ((select max(maxpropvalueid)+1 from maxpropvalue), '$PROPNAME', 'COMMON', null, null, '********', 'MAXADMIN', CURRENT TIMESTAMP, 0)"
		su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
insert into $DB2MAXIMOSCHEMANAME.maxpropvalue values ((select max(maxpropvalueid)+1 from maxpropvalue), '$PROPNAME', 'COMMON', null, null, '$VALUE', 'MAXADMIN', CURRENT TIMESTAMP, 0)
EOF
"
	fi
else
	if existsEntry $PROPNAME
	then
		echo "update $DB2MAXIMOSCHEMANAME.maxpropvalue set PROPVALUE='$PROPVALUE' where PROPNAME='$PROPNAME'"
	su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
update $DB2MAXIMOSCHEMANAME.maxpropvalue set PROPVALUE='$PROPVALUE' where PROPNAME='$PROPNAME'
EOF
"
	else
		echo "insert into $DB2MAXIMOSCHEMANAME.maxpropvalue values ((select max(maxpropvalueid)+1 from maxpropvalue), '$PROPNAME', 'COMMON', null, '$VALUE', null, 'MAXADMIN', CURRENT TIMESTAMP, 0)"
		su - $DB2ADMIN -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
insert into $DB2MAXIMOSCHEMANAME.maxpropvalue values ((select max(maxpropvalueid)+1 from maxpropvalue), '$PROPNAME', 'COMMON', null, '$VALUE', null, 'MAXADMIN', CURRENT TIMESTAMP, 0)
EOF
"
	fi
fi
