#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: startTIO.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Starts the complete TIO stack:
# WebSphere Deployment manager
# WebSphere Nodeagent
# WebSphere Application Server MXServer
# WebSphere Application Server server1
# TPM core components

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "su - $WASRXUSER -c \"\$TIO_HOME/tools/tio.sh start $WASADMIN ********\""
su - $WASRXUSER -c "\$TIO_HOME/tools/tio.sh start $WASADMIN $WASADMIN_PW"

# Wait until everything is up and running
while ! netstat -an | grep $MXServer_MAXIMO_PORT || ! netstat -an | grep 8777
do
	sleep 1
done

# Sleep in the case TPM is not up completely
sleep 240
