#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

# Get the absolute path to the drivers relative to this script
ABSOLUTE_PATH=`dirname "$0"`/
if ! [[ "$ABSOLUTE_PATH" =~ ^/ ]]
then
	ABSOLUTE_PATH=`pwd`/$ABSOLUTE_PATH
fi

# Enable Localization
. "$ABSOLUTE_PATH/i18n.sh" installRequiredFiles

echo

function printUsage
{
   echo "$0 [-h]"
}

function unittest
{
	if test -f "$ABSOLUTE_PATH"/$(basename "$SCRIPT_NAME") && ! printLocalizedMessage a | grep "^[*][*][*]" 1>/dev/null 2>/dev/null
	then
		exit 0
	else
		exit 1
	fi
}

TPAE_INSTALL_DIR=$CTG_CCMDB_HOME

# Flag handling
while [ "$#" -ne "0" ]
do
   case $1 in
      "--test") unittest; shift;;
	  "-h") printUsage; exit 1;;
      *) printUsage; exit 1;;
   esac
done

# Ask for TIO credentials
if [[ "$TPAE_INSTALL_DIR" == "" ]]
then
   printLocalizedMessage QUESTION_TPAE_HOME
   read TPAE_INSTALL_DIR
   TPAE_INSTALL_DIR=${TPAE_INSTALL_DIR:=/opt/IBM/SMP}
fi

# Copy DemoOnly file to Management Server
CURRENT_DIR=`pwd`
DEMOONLYXML=${ABSOLUTE_PATH}/../files/DemoOnly.xml
printLocalizedMessage copyFile
if test -d "$TPAE_INSTALL_DIR"
then
	cp -f "$TPAE_INSTALL_DIR"/maximo/tools/maximo/classes/psdi/xlate/DemoOnly.xml "$TPAE_INSTALL_DIR"/maximo/tools/maximo/classes/psdi/xlate/DemoOnly.xml.bak
	cp -f "$DEMOONLYXML" "$TPAE_INSTALL_DIR"/maximo/tools/maximo/classes/psdi/xlate/DemoOnly.xml
fi

# Copy shellscripts to Management Server
TSAM_ROOT=/opt/IBM/tsam
TSAM_BIN=${TSAM_ROOT}/bin
TOOLS_DIR=${ABSOLUTE_PATH}/../tools/
TOOLSNLS_DIR=${TOOLS_DIR}/nls
printLocalizedMessage installScripts
if ! test -d ${TSAM_BIN}
then
	mkdir -p ${TSAM_BIN}
fi
if ! test -d ${TSAM_BIN}/nls
then
	mkdir -p ${TSAM_BIN}/nls
fi

cp -f "$TOOLS_DIR"/i18n.sh ${TSAM_BIN}
cp -f "$TOOLS_DIR"/prepareServer.sh ${TSAM_BIN}
cp -f "$TOOLS_DIR"/tsam_middleware.sh ${TSAM_BIN}
cp -f "$TOOLSNLS_DIR"/prepareServer.properties ${TSAM_BIN}/nls

printLocalizedMessage pressAnyKey
read
