#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

# Get the absolute path to the drivers relative to this script
ABSOLUTE_PATH=`dirname "$0"`/
if ! [[ "$ABSOLUTE_PATH" =~ ^/ ]]
then
	ABSOLUTE_PATH=`pwd`/$ABSOLUTE_PATH
fi

# Enable Localization
. "$ABSOLUTE_PATH/i18n.sh" installRequiredFiles

function printUsage
{
   echo "$0 [-h]"
}

function unittest
{
	if test -f "$ABSOLUTE_PATH"/$(basename "$SCRIPT_NAME") && ! printLocalizedMessage a | grep "^[*][*][*]" 1>/dev/null 2>/dev/null
	then
		exit 0
	else
		exit 1
	fi
}

TPAE_INSTALL_DIR=$CTG_CCMDB_HOME

# Flag handling
while [ "$#" -ne "0" ]
do
   case $1 in
      "--test") unittest; shift;;
	  "-h") printUsage; exit 1;;
      *) printUsage; exit 1;;
   esac
done

# Ask for TIO credentials
if [[ "$TPAE_INSTALL_DIR" == "" ]]
then
   printLocalizedMessage QUESTION_TPAE_HOME
   read TPAE_INSTALL_DIR
   TPAE_INSTALL_DIR=${TPAE_INSTALL_DIR:=/opt/IBM/SMP}
fi

# remove obsolete files
CURRENT_DIR=`pwd`
printLocalizedMessage removeREST
if test -d "$TPAE_INSTALL_DIR"
then

        rm -r "$TPAE_INSTALL_DIR"/maximo/applications/maximo/maxrestweb/
        rm -r "$TPAE_INSTALL_DIR"/maximo/applications/maximo/businessobjects/classes/com/ibm/tivoli/maximo/rest/

        rm -r "$TPAE_INSTALL_DIR"/maximo/deployment/product/MEA_REST.xml
        rm -r "$TPAE_INSTALL_DIR"/maximo/deployment/buildmaximoear.xml
fi

printLocalizedMessage removeSimpleSRM
if test -d "$TPAE_INSTALL_DIR"
then
        rm -r "$TPAE_INSTALL_DIR"/maximo/applications/SimpleSRM/
        rm "$TPAE_INSTALL_DIR"/maximo/deployment/product/SimpleSRM_pmp.xml
fi


printLocalizedMessage pressAnyKey
read
