@REM #############################################################
@REM Licensed Materials - Property of IBM
@REM 5724-W78
@REM (C) Copyright IBM Corp. 2010
@REM All Rights Reserved
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM #############################################################

@echo off

setlocal
set PCKG_NAME=%1
set LAP_PARAM=%2

:check1
@REM check if CTG_CCMDB_HOME is set
if defined CTG_CCMDB_HOME goto check2
@ECHO .
@ECHO ERROR. The environment variable CTG_CCMDB_HOME is not set.
@ECHO .
@ECHO Possible reason: The Launchpad has not been restarted
@ECHO since the Base Services were installed.
@ECHO .
@ECHO Action: Exit the Launchpad and invoke it again.
@ECHO .
pause
endlocal
set RESULT=1
goto end

:check2
@REM check is the solution installer GUI launcher exists
if exist "%CTG_CCMDB_HOME%\bin\solutionInstallerGUI.bat" goto exists
@ECHO .
@ECHO ERROR. Unable to find %CTG_CCMDB_HOME%\bin\solutionInstallerGUI.bat
@ECHO .
@ECHO Possible reason: The Launchpad has not been restarted
@ECHO since the Base Services were installed.
@ECHO .
@ECHO Action: Exit the Launchpad and invoke it again.
@ECHO .
pause
endlocal
set RESULT=2
goto end

:exists
set PSICMD=%CTG_CCMDB_HOME%\bin\solutionInstallerGUI.bat %LAP_PARAM% -DCTG_LAUNCHED_WITH_PACKAGE_PATH=%PCKG_NAME%
@echo %PSICMD%
call %PSICMD%
endlocal
set RESULT=0

:end
exit %RESULT%
