#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

PCKG_NAME=$1
LAP_PARAM=$2

if [[ "$1" == "--test" ]]
then
	exit 0
fi

# check if CTG_CCMDB_HOME is set
if [ "$CTG_CCMDB_HOME" == "" ]
then
   xterm -e '
      echo ""
      echo "ERROR. The environment variable CTG_CCMDB_HOME is not set."
      echo ""
      echo "Possible reason: The Launchpad has not been restarted"
      echo "since the Base Services were installed."
      echo ""
      echo "Action: Exit the Launchpad, log out and relogin."
      echo "        Then invoke the Launchpad again."
      echo ""
      echo "Press enter to continue."
      read
   '
   exit 1
fi

SOLUTIONINSTALLER="${CTG_CCMDB_HOME}/bin/solutionInstallerGUI.sh"

# check is the solution installer GUI launcher exists
if ! test -f ${SOLUTIONINSTALLER}
then
   xterm -e '
      echo "ERROR. Unable to find ${SOLUTIONINSTALLER}"
      echo ""
      echo "Possible reason: The Launchpad has not been restarted"
      echo "since the Base Services were installed."
      echo ""
      echo "Action: Exit the Launchpad, log out and relogin."
      echo "        Then invoke the Launchpad again."
      echo ""
      echo "Press enter to continue."
      read
   '
   exit 1
fi

PSICMD="${SOLUTIONINSTALLER} ${LAP_PARAM} -DCTG_LAUNCHED_WITH_PACKAGE_PATH=${PCKG_NAME}"
echo ${PSICMD}
${PSICMD}
