------------------------------------------------------------------
-- Licensed Materials - Property of IBM
-- 5724-W78
-- (C) Copyright IBM Corp. 2009
-- All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
------------------------------------------------------------------

-- Connect to the database.
CONNECT TO MAXDB71
@
 
-- Removes the entries from the table cloud.role_perms
CREATE PROCEDURE REMOVE_ROLE_PERMS()
LANGUAGE SQL
BEGIN
	IF EXISTS (SELECT * FROM SYSIBM.SYSSCHEMATA WHERE NAME='CLOUD')
	THEN
		IF EXISTS (SELECT * FROM SYSIBM.SYSTABLES WHERE NAME='ROLE_PERMS')
		THEN
			IF EXISTS (SELECT * FROM cloud.role_perms)
			THEN
				DELETE FROM cloud.role_perms;
			END IF;
		END IF;
	END IF;
END @

CALL REMOVE_ROLE_PERMS() @

-- Drop the Procedures afterwards, they are not longer needed here.
DROP PROCEDURE REMOVE_ROLE_PERMS @

-- Insert the role permissions
INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 10, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 24, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 25, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 30, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 40, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 41, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 50, 0 ) @

-- FOR FIRST CLOUDBURST/THUNDERCLOUD RELEASE, HOST MANAGEMENT IS DISABLED
-- (following line is commented)
INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 60, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 70, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 80, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 90, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 95, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudAdministrator', 101, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudManager', 10, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudManager', 60, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudManager', 41, 0 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 11, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 27, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 26, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 51, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 71, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 80, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustAdministrator', 91, 1 ) @

INSERT INTO cloud.role_perms VALUES ( 'CloudCustWebUser', 11, 1 ) @
